module.exports = (grunt) ->
  from = 'spec/fixtures'
  to = 'generated/files'

  grunt.initConfig
    tarima:
      src_dest_simple:
        src: "#{from}/*.*"
        dest: to

      src_dest_bundle:
        src: "#{from}/**/*.js*"
        dest: "#{to}/bundle.js"

      src_dest_bundle_cwd:
        src: "#{from}/**/*.js*"
        dest: "#{to}/nested.js"
        options:
          cwd: from

  grunt.loadNpmTasks 'grunt-parts'
  grunt.loadTasks __dirname + '/tasks'
