# Tarima for Grunt

[![Build Status](https://travis-ci.org/gextech/grunt-tarima-task.png?branch=master)](https://travis-ci.org/gextech/grunt-tarima-task) [![NPM version](https://badge.fury.io/js/grunt-tarima-task.png)](http://badge.fury.io/js/grunt-tarima-task)

```bash
$ npm install grunt-tarima-task --save
```

**Gruntfile.coffee**

```coffeescript
module.exports = (grunt) ->
  grunt.initConfig
    tarima:
      target:
        src: 'src/views/**/*.*'
        dest: 'tmp_views'

  grunt.loadNpmTasks 'grunt-tarima-task'
```

## Setup

- `src` --- All the source files
- `dest` --- The destination path

If the `dest` has a filename with extension `bundle()` will be used, otherwise `compile()` will occur.

> Note that Grunt's `files` API would not work as expected.

- `options`

Please checkout the [Tarima's README](https://github.com/gextech/tarima) at GitHub.

> All options will be passed directly to the `parse()` and `bundle()` method respectively.
